# Update Cardholder

### **Request URI** <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/issuing/holder/update`

### **Request Body**

&#x20;**Refer to :** [**common**](/issuing-card-api/common.md)

&#x20;**Biz\_data ：**

<table><thead><tr><th width="181.6640625">Name</th><th width="155.8359375">Type</th><th>Description</th></tr></thead><tbody><tr><td>holder_id</td><td>long</td><td>Cardholder ID.</td></tr><tr><td>mobile<mark style="color:red;">*</mark></td><td>string(16)</td><td><p>The whole mobile phone number.</p><p>Need to add an international area code</p></td></tr><tr><td>first_name<mark style="color:red;">*</mark></td><td>string(50)</td><td>First name.</td></tr><tr><td>last_name<mark style="color:red;">*</mark></td><td>string(50)</td><td>Last name.</td></tr><tr><td>id_no<mark style="color:red;">*</mark></td><td>string(6-20)</td><td>ID number.</td></tr><tr><td>id_type<mark style="color:red;">*</mark></td><td>integer</td><td><a href="/pages/208TZIoFAPdTB3JUN96T">Type of certificate.</a></td></tr><tr><td>issuance_date</td><td>string</td><td>Issuance date.Format:yyyy-MM-dd</td></tr><tr><td>expires_on</td><td>string</td><td>Expires On.Format:yyyy-MM-dd</td></tr><tr><td>email<mark style="color:red;">*</mark></td><td>string</td><td>Business emailEmails are validated against the rfc6530 standard.</td></tr><tr><td>birthday<mark style="color:red;">*</mark></td><td>string</td><td>Date of Birth.Format:yyyy-MM-dd</td></tr><tr><td>gender</td><td>integer</td><td><a href="/pages/d6NXotmcBrZalN5bZUZg">Gender</a>.</td></tr><tr><td>nationality_code<mark style="color:red;">*</mark></td><td>string(2)</td><td>Nationality. Country code.Refer  to <a href="/pages/DAV89NXw6qWwTFdZgbtU">CountryCode</a></td></tr><tr><td>address.line<mark style="color:red;">*</mark></td><td>string(12-128)</td><td>The first line of the address.Format:<a href="/pages/w7pZUOuFKrMPYqBRi0OG">CHARSETS_4</a></td></tr><tr><td>address.line2</td><td>string(128)</td><td><p>The second line of the address.</p><p>Format:<a href="/pages/w7pZUOuFKrMPYqBRi0OG">CHARSETS_4</a></p></td></tr><tr><td>address.postal_code<mark style="color:red;">*</mark></td><td>string(4-8)</td><td>The address zip code, or postal code.</td></tr><tr><td>address.city_name<mark style="color:red;">*</mark></td><td>string(4-80)</td><td>The address city.Format:<a href="/pages/w7pZUOuFKrMPYqBRi0OG">CHARSETS_</a><a href="/pages/w7pZUOuFKrMPYqBRi0OG">6</a></td></tr><tr><td>address.state<mark style="color:red;">*</mark></td><td>string(4-48)</td><td>The address state.Format:<a href="/pages/w7pZUOuFKrMPYqBRi0OG">CHARSETS_</a><a href="/pages/w7pZUOuFKrMPYqBRi0OG">6</a></td></tr><tr><td>address.country_code<mark style="color:red;">*</mark></td><td>string(2)</td><td><p>The two-letter ISO country code of the address,</p><p>refer  to <a href="/pages/DAV89NXw6qWwTFdZgbtU">CountryCode</a></p></td></tr></tbody></table>

### **Request** Example <a href="#example" id="example"></a>

```
{
    "app_id": "00000000000000000",
    "partner_id": "00000000000000000",
    "request_id": "dcB88bc9-b6bc-26B8-b4c9-AF9cED1B",
    "timestamp": "2025-04-07 13:52:14",
    "format": "JSON",
    "version": "2.0",
    "sign_type": "RSA",
    "biz_data": {
        "holder_id": 103006,
        "mobile": "+8618197431263",
        "first_name": "Test",
        "last_name": "User",
        "id_no": "51f635df-d206-449c",
        "id_type": 1,
        "email": "n.hugidnsm@qwyswfg.ao",
        "birthday": "1990-11-08",
        "gender": 1,
        "issuance_date": "2024-07-21",
        "expires_on": "2030-07-24",
        "nationality_code": "BR",
        "address": {
            "city_name": "beijing",
            "country_code": "BR",
            "postal_code": "045675",
            "state": "proident enim",
            "line": "Wivjq Njutsfd Hiqouxlbs Uhdt Gtjpzy",
            "line2": "Ebtorcbaq Enojuvm Ikw Xvlgum Wibq U"
        }
    },
    "random_key": "<generated_key>"
}
// The biz_data in this example needs to be encrypted!
```

### Response <a href="#example" id="example"></a>

| Name          | Type    | Description                                                                                       |
| ------------- | ------- | ------------------------------------------------------------------------------------------------- |
| holder\_id    | long    | Cardholder ID                                                                                     |
| id\_no        | string  | ID number.                                                                                        |
| id\_type      | string  | [Type of certificate.](/issuing-card-api/data/dictionary-item/idtype.md)                          |
| audit\_status | integer | <p>Audit status,</p><p>refer to:<a href="/pages/MyMQcuYS3vgkqMF3cYMx">CustomerAuditStatus</a></p> |

{% tabs %}
{% tab title="200:OK" %}

```
{
    "app_id": "00000000000000000",
    "partner_id": "00000000000000000",
    "sub_partner_id": "",
    "request_id": "766b69FD-2aEb-bf71-cee8-e8eBbBeb",
    "timestamp": "2025-04-07 13:52:15",
    "format": "JSON",
    "version": "2.0",
    "sign_type": "RSA",
    "biz_data": {
        "holder_id": "103006"
    },
    "random_key": "<generated_key>"
}
// The biz_data in this example needs to be encrypted!
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/issuing-card-api/business/cardholder/update-cardholder.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
